package com.ss.android.ugc.aweme.notice.repo.list.bean;

import X.4XQ;
import X.C3340EAm;
import X.E33;
import X.E37;
import X.E73;
import X.E90;
import X.EFP;
import X.EII;
import com.bytedance.covode.number.Covode;
import com.google.gson.a.c;
import com.ss.android.ugc.aweme.feed.model.LogPbBean;
import java.util.Arrays;

public class BaseNotice {
    public static final int CREATOR = 62;
    public static final int RECOMMEND_LIVE = 50;
    @c(LIZ = "ad")
    public EFP adHelperNotice;
    @c(LIZ = "announcement")
    public AnnouncementNotice announcement;
    @c(LIZ = "at")
    public AtMe atMe;
    @c(LIZ = "biz_notice")
    public E33 businessAccountNotice;
    @c(LIZ = "check_profile")
    public CheckProfileNotice checkProfileNotice;
    public transient int clientOrder = -1;
    @c(LIZ = "comment")
    public CommentNotice commentNotice;
    @c(LIZ = "create_time")
    public long createTime;
    @c(LIZ = "digg")
    public DiggNotice diggNotice;
    @c(LIZ = "donation")
    public E37 donationNotice;
    @c(LIZ = "duet")
    public DuetNotice duetNotice;
    @c(LIZ = "follow_request_approve")
    public FollowApproveNotice followApproveNotice;
    @c(LIZ = "follow")
    public FollowNotice followNotice;
    @c(LIZ = "follow_request")
    public FollowRequestNotice followRequestNotice;
    @c(LIZ = "friend")
    public FriendNotice friendNotice;
    @c(LIZ = "has_read")
    public boolean hasRead;
    public transient long lastReadTime;
    public transient LogPbBean logPbBean;
    @c(LIZ = "lowest_position")
    public int lowestPosition;
    public transient boolean needCollapse;
    @c(LIZ = "nid")
    public String nid;
    public transient int noticeListType;
    @c(LIZ = "create_aweme")
    public PostNotice postNotice;
    public transient int priority;
    @c(LIZ = "promote_notice")
    public E90 promoteNotice;
    @c(LIZ = "task_id")
    public long taskId;
    @c(LIZ = "tcm_notice")
    public EII tcmNotice;
    @c(LIZ = "template_id")
    public String templateId;
    @c(LIZ = "template_notice")
    public C3340EAm templateNotice;
    @c(LIZ = "text")
    public UserTextNotice textNotice;
    public transient int timeLineType = -1;
    @c(LIZ = "type")
    public int type;
    public transient int unreadCount;
    @c(LIZ = "user_id")
    public String userId;
    @c(LIZ = "vote_notice")
    public E73 voteNotice;

    static {
        Covode.recordClassIndex(95114);
    }

    public String getLabelText() {
        DiggNotice diggNotice2 = this.diggNotice;
        if (diggNotice2 != null) {
            return diggNotice2.getLabelText();
        }
        AtMe atMe2 = this.atMe;
        if (atMe2 != null) {
            return atMe2.getLabelText();
        }
        CommentNotice commentNotice2 = this.commentNotice;
        if (commentNotice2 != null) {
            return commentNotice2.getLabelText();
        }
        return "";
    }

    public boolean needForceInsert() {
        int i = this.type;
        if ((i == 1 || i == 2 || i == 1002) && this.lowestPosition > 0) {
            return true;
        }
        return false;
    }

    public int hashCode() {
        return Arrays.hashCode(new Object[]{Integer.valueOf(this.type), this.nid, Long.valueOf(this.createTime), Boolean.valueOf(this.hasRead), this.followNotice});
    }

    public boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        if (obj != null && getClass() == obj.getClass()) {
            BaseNotice baseNotice = (BaseNotice) obj;
            if (this.type == baseNotice.type && 4XQ.LIZ(this.nid, baseNotice.nid) && this.createTime == baseNotice.createTime && this.hasRead == baseNotice.hasRead && 4XQ.LIZ(this.followNotice, baseNotice.followNotice)) {
                return true;
            }
            return false;
        }
        return false;
    }
}
